import { Fleet, FleetQuote, TaskRelatedFleet } from '@bringg/types';
import StoreEntity from '../../Core/StoreEntity';
import Session from '../../Services/Identity/Session';
import { AskQuoteResponse, FleetsResponse } from '../Fleets.consts';
export declare const Routes: {
    GET_RELATED: string;
    ASK_QUOTE: string;
    GET_ALL_CONFIGS: string;
};
export default class FleetEntity extends StoreEntity<Fleet> {
    constructor(session: Session);
    getAll(): Promise<Fleet[]>;
    getById(id: number): Promise<Fleet>;
    getByTask(taskId: number): Promise<TaskRelatedFleet[]>;
    askForQuote(taskId: number, fleetId: number): Promise<FleetQuote>;
    getAllConfigs(): Promise<Fleet[]>;
}
export declare const fleetsExtractor: (response: FleetsResponse) => Fleet[];
export declare const quoteExtractor: (response: AskQuoteResponse) => FleetQuote;
